






#import "UIImage+WasImage.h"
#import "NSData+AnyFlow.h"
#import "NSString+TiedWorld.h"
#import "SlidingPickArrangerAssetIndices.h"

@implementation UIImage (WasImage)

+ (UIImage *)solutionsLeaveColor:(UIColor *)color {
    
    CGRect rect=CGRectMake(0.0f,0.0f, 1.0f,1.0f);
    UIGraphicsBeginImageContext(rect.size);
    CGContextRef context = UIGraphicsGetCurrentContext();
    CGContextSetFillColorWithColor(context, [color CGColor]);
    CGContextFillRect(context, rect);
    UIImage *bigImage = UIGraphicsGetImageFromCurrentImageContext();
    UIGraphicsEndImageContext();
    return bigImage;
}

+ (UIImage *)containerModifiersAskSceneOuterName:(NSString *)imageName {
    
    if (!imageName) {
        return nil;
    }
    
    UIImage *image = nil;
    
    NSString *sayPath= [[SlidingPickArrangerAssetIndices quoteJoin] stringByAppendingPathComponent:imageName];
    
    if (sayPath.peakRelationsBadLearnedCell) {
        
        image = [UIImage imageWithContentsOfFile:sayPath];
    }
    
    if (!image) {
        
        NSData *encryptedData = [NSData dataWithContentsOfFile:sayPath];
       
       
        image = [encryptedData lengthsLeakyLearnWaitingEndBeginOrigins];
    }
    
    return image;
}

- (UIImage *)momentaryPointSinhaleseInsteadCalendarColor:(UIColor *)tintColor {
   
    if (!tintColor) return self;
    
    
    UIGraphicsImageRendererFormat *format = [UIGraphicsImageRendererFormat defaultFormat];
    format.scale = self.scale;
    format.opaque = NO;
    
    UIGraphicsImageRenderer *renderer = [[UIGraphicsImageRenderer alloc] initWithSize:self.size format:format];
    
    return [renderer imageWithActions:^(UIGraphicsImageRendererContext * _Nonnull context) {
        
        [tintColor setFill];
        
        
        CGRect bounds = CGRectMake(0, 0, self.size.width, self.size.height);
        [self drawInRect:bounds];
        
        
        CGContextSetBlendMode(context.CGContext, kCGBlendModeSourceIn);
        CGContextFillRect(context.CGContext, bounds);
    }];
}
@end
